<?php namespace Intellex\Filesystem\Exception;

/**
 * Class PathNotFoundException
 * A path is not readable.
 *
 * @package Intellex\Filesystem\Exception
 */
class PathNotWritableException extends FilesystemException {

	public function __construct($path) {
		$path = static::getPath($path);
		parent::__construct("The supplied path `{$path}` is not writable.");
	}

}